[v-cloak] {
    display: none;
}
:root {
    --text-shadow-white:
        0.02rem 0.02rem 0 #FFFFFF,
        0.02rem -0.02rem 0 #FFFFFF,
        -0.02rem -0.02rem 0 #FFFFFF,
        -0.02rem 0.02rem 0 #FFFFFF,
        0.02rem 0 0 #FFFFFF,
        -0.02rem 0 0 #FFFFFF,
        0 0.02rem 0 #FFFFFF,
        0 -0.02rem 0 #FFFFFF;
}
input {
    border-radius: 0;
    background: transparent;
    border: none;
    outline: none;
}
input::placeholder {
    font-size: 0.35rem;
    font-weight: bold;
    color: #82807F;
}
#app {
    width: 7.5rem;
    margin: 0 auto;
    font-family: 'Source Han Serif CN';
}
.pc {
    width: 100vw;
    height: 100vh;
    background: url(../img/bj.png) no-repeat center center;
    background-size: cover;
    position: fixed;
    left: 0;
    top: 0;
}

.container {
    position: relative;
    top: 0;
    left: 0;
}

.top {
    width: 7.5rem;
    height: 0.86rem;
    background: url(../img/top_bg.jpg) no-repeat center center;
    background-size: 100% 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    /* position: fixed;
    top: 0;
    z-index: 100; */
}
.top-left {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    font-size: 0.24rem;
    color: #fff;
    margin-left: 0.21rem;
}
.top-left-loginBtn {
    width: 1.29rem;
    height: 0.52rem;
    background: url(../img/top_login.png) no-repeat center center;
    background-size: 100% 100%;
    cursor: pointer;
}
.top-left-icon {
    display: inline-block;
    width: 0.5rem;
    height: 0.36rem;
    background: url(../img/top_back.png) no-repeat center center;
    background-size: 100% 100%;
}
.top-left-textBtn {
    cursor: pointer;
}
.top-right {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}
.top-right-btn {
    width: 1.78rem;
    height: 0.52rem;
    margin-right: 0.15rem;
}
.top-right-website {
    background: url(../img/top_home.png) no-repeat center center;
    background-size: 100% 100%;
}
.top-right-download {
    background: url(../img/top_download.png) no-repeat center center;
    background-size: 100% 100%;
}

.floatBtnBox {
    position: sticky;
    top: 1.32rem;
    right: 0;
    z-index: 100;
}
.floatBtn {
    width: 0.84rem;
    height: 2.12rem;
    cursor: pointer;
    position: absolute;
    right: 0;
    top: 0;
}
.float_reward {
    background: url(../img/float_reward.png) no-repeat center center;
    background-size: 100% 100%;
}
.float_rule {
    background: url(../img/float_rule.png) no-repeat center center;
    background-size: 100% 100%;
    top: 2.12rem;
}
.float_hoin {
    background: url(../img/float_hoin.png) no-repeat center center;
    background-size: 100% 100%;
    top: 4.24rem;
}
.floatBtn-redDot {
    width: 0.64rem;
    height: 0.64rem;
    background: url(../img/red_dot2.png) no-repeat center center;
    background-size: 100% 100%;
    position: absolute;
    top: -0.1rem;
    left: -0.16rem;
}


.page {
    position: relative;
}



/* 主内容 */
.page1 {
    width: 7.5rem;
    height: 12.35rem;
    background: url(../img/page1_bg.jpg) no-repeat center center;
    background-size: 100% 100%;
}
.page1-content {
    position: absolute;
    bottom: 0rem;
    left: 50%;
    transform: translateX(-50%);
    height: 3.2rem;
}
.page1-btnBox {
    height: 1.7rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.page1-btn {
    width: 2.82rem;
    height: 0.73rem;
    cursor: pointer;
    margin: 0 auto 0.1rem;
}
.page1-claimBtn {
    background: url(../img/page1_invitation.png) no-repeat center center;
    background-size: 100% 100%;
}
.page1-claimCompletedBtn {
    background: url(../img/page1_completed.png) no-repeat center center;
    background-size: 100% 100%;
}
.page1-assistBtn {
    background: url(../img/page1_assistance.png) no-repeat center center;
    background-size: 100% 100%;
}
/* .page1-userNum {
    height: 0.5rem;
    line-height: 0.5rem;
    font-weight: bold;
    font-size: 0.4rem;
    color: #FFFFFF;
    text-align: center;
} */
.page1-textTips {
    width: 5.5rem;
    font-weight: 500;
    font-size: 0.24rem;
    color: #3B0B0B;
    text-shadow: 0.07rem 0.03rem 0.13rem #FFFFFF;
    margin: 0.1rem auto 0;
    text-align: center;
}

.page2 {
    width: 7.5rem;
    height: 11.09rem;
    background: url(../img/page2_bg.jpg) no-repeat center center;
    background-size: 100% 100%;
    margin-top: -0.03rem;
}
.page2-content {
    position: absolute;
    top: 1.55rem;
    left: 50%;
    transform: translateX(-50%);
}
.page2-rewardBox {
    width: 7.5rem;
    height: 6.7rem;
    background: url(../img/page2_box.png) no-repeat center center;
    background-size: 100% 100%;
}
.page2-tipBox {
    width: 7.5rem;
    height: 2.15rem;
    background: url(../img/page2_box1.png) no-repeat center center;
    background-size: 100% 100%;
    padding: 0.6rem 1.08rem 0.56rem 1.03rem;
    box-sizing: border-box;
}
.page2-tipBox-text {
    display: block;
    font-weight: 500;
    font-size: 0.25rem;
    color: #172823;
}

.page3 {
    width: 7.5rem;
    height: 12.95rem;
    background: url(../img/page3_bg.jpg) no-repeat center center;
    background-size: 100% 100%;
    margin-top: -0.02rem;
}
.page3-content {
    position: absolute;
    top: 1.7rem;
    left: 50%;
    transform: translateX(-50%);
}
.page3-content-tipBox {
    width: 5.5rem;
    margin: 0 auto 0.3rem;
}
.page3-content-tipBox-text {
    display: block;
    font-weight: 500;
    font-size: 0.25rem;
    color: #000;
    text-align: center;
}
.page3-content-helpProgressBox {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0 auto 0.3rem;
    padding: 0 0.6rem 0 0.54rem;
    box-sizing: border-box;
}
.helpProgressBox-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
}
.helpProgressBox-item-textBox {
    width: 1.73rem;
    height: 0.55rem;
    background: url(../img/page3_btn.png) no-repeat center center;
    background-size: 100% 100%;
    font-weight: 500;
    font-size: 0.24rem;
    line-height: 0.55rem;
    color: #000;
    text-shadow: var(--text-shadow-white);
    text-align: center;
    margin-bottom: 0.08rem;
}
.helpProgressBox-item-rewardBox {
    position: relative;
    width: 1.97rem;
    height: 2.14rem;
    background: url(../img/page3_box.png) no-repeat center center;
    background-size: 100% 100%;
}
.helpProgressBox-item-rewardBox-img {
    width: 1.97rem;
    height: 2.14rem;
    position: absolute;
    top: 0;
    left: 0;
}
.helpProgressBox-item-rewardBox-text {
    display: block;
    width: 100%;
    font-weight: 500;
    font-size: 0.25rem;
    color: #000;
    text-shadow: var(--text-shadow-white);
    text-align: center;
    position: absolute;
    bottom: 0.2rem;
    left: 0;
}
.page3-content-inviteBtn {
    width: 3.37rem;
    height: 0.86rem;
    background: url(../img/page3_share.png) no-repeat center center;
    background-size: 100% 100%;
    margin: 0 auto 0.3rem;
    cursor: pointer;
}
.page3-content-inviteBox {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 6.36rem;
    margin: 0 auto;
}
.inviteBox-tipText {
    font-weight: 400;
    font-size: 0.2rem;
    color: #000;
    text-shadow: var(--text-shadow-white);
}
.inviteBox-progressText {
    width: 1.71rem;
    height: 0.46rem;
    background: url(../img/page3_btn1.png) no-repeat center center;
    background-size: 100% 100%;
    font-weight: 400;
    font-size: 0.2rem;
    color: #000;
    text-shadow: var(--text-shadow-white);
    line-height: 0.46rem;
    text-align: center;
}
.taskBox-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 7.5rem;
    height: 1.23rem;
    font-weight: 400;
    text-align: center;
    padding: 0.24rem 0.8rem 0.1rem 2.75rem;
    box-sizing: border-box;
}
.taskBox-item1 {
    background: url(../img/page3_task1.png) no-repeat center center;
    background-size: 100% 100%;
}
.taskBox-item2 {
    background: url(../img/page3_task2.png) no-repeat center center;
    background-size: 100% 100%;
}
.taskBox-item3 {
    background: url(../img/page3_task3.png) no-repeat center center;
    background-size: 100% 100%;
}
.taskBox-item4 {
    background: url(../img/page3_task4.png) no-repeat center center;
    background-size: 100% 100%;
}
.taskBox-item-taskText {
    width: 2.7rem;
    font-size: 0.23rem;
    color: #fff;
    text-shadow: var(--text-shadow-default);
}
.taskBox-item-rewardText {
    font-size: 0.22rem;
    color: #000;
}
/* 幸运转盘 */
.page4 {
    width: 7.5rem;
    height: 11.24rem;
    background: url(../img/page4_bg.jpg) no-repeat center center;
    background-size: 100% 100%;
    margin-top: -0.03rem;
}
.luckyWheel-content {
    width: 7.5rem;
    position: absolute;
    top: 1.8rem;
    left: 50%;
    transform: translateX(-50%);
}
.luckyWheel-content-wheelBox {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 1fr);
    gap: 0.25rem 0.17rem;
    align-items: center;
    justify-content: center;
    width: 7.5rem;
    height: 7.73rem;
    background: url(../img/page4_box.png) no-repeat center center;
    background-size: 100% 100%;
    margin-bottom: 0.1rem;
    padding: 0.9rem 0.88rem 0.69rem;
    box-sizing: border-box;
}
.wheelBox-item-highlight {
    width: 1.77rem !important;
    height: 1.94rem !important;
    background: url(../img/page4_icon1.png) no-repeat center center !important;
    background-size: 100% 100% !important;
}
.luckyWheel-content-wheelBox-item {
    width: 1.77rem;
    height: 1.94rem;
    background: url(../img/page4_icon2.png) no-repeat center center;
    background-size: 100% 100%;
    position: relative;
}
.luckyWheel-content-wheelBox-item-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
}
.luckyWheel-content-wheelBox-item-textBox {
    width: 100%;
    font-weight: 500;
    font-size: 0.18rem;
    color: #000;
    text-shadow: var(--text-shadow-white);
    text-align: center;
    position: absolute;
    bottom: 0.18rem;
    left: 50%;
    transform: translateX(-50%);
}
.luckyWheel-content-wheelBox-item-textBox-text {
    display: block;
    word-wrap: break-word;
}
.luckyWheel-content-btnBox {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: 0 0.69rem 0 0.62rem;
    box-sizing: border-box;
    margin-bottom: 0.12rem;
}
.luckyWheel-content-btnBox-btn {
    position: relative;
    width: 2.93rem;
    height: 0.75rem;
    cursor: pointer;
}
.luckyWheel-lotteryBtn {
    background: url(../img/page4_lottery.png) no-repeat center center;
    background-size: 100% 100%;
}
.luckyWheel-myPrizeBtn {
    background: url(../img/page4_reward.png) no-repeat center center;
    background-size: 100% 100%;
}
.luckyWheel-myPrizeBtn-redDot {
    width: 0.64rem;
    height: 0.64rem;
    background: url(../img/red_dot1.png) no-repeat center center;
    background-size: 100% 100%;
    position: absolute;
    top: -0.2rem;
    right: -0.15rem;
}
.luckyWheel-content-lotteryChances {
    width: 2.93rem;
    margin-left: 0.62rem;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 0.28rem;
    font-weight: 400;
    color: #000;
    text-shadow: var(--text-shadow-white);
}
.luckyWheel-content-lotteryChances-text {
    
}
.luckyWheel-content-lotteryChances-num {
    margin: 0 0.05rem;
}

.page5 {
    width: 7.5rem;
    height: 9.6rem;
    background: url(../img/page5_bg.jpg) no-repeat center center;
    background-size: 100% 100%;
    margin-top: -0.03rem;
}
.swipe_banner {
    width: 7.5rem;
    height: 3.99rem;
    position: absolute;
    top: 1.9rem;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    align-items: center;
    justify-content: center;
}
.swipe_banner::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url(../img/page5_box.png) no-repeat center center;
    background-size: 100% 100%;
    z-index: 2;
    pointer-events: none;
}
.van-swipe {
    width: 6.12rem;
    height: 3.33rem;
    position: relative;
    z-index: 1;
}
.swipe_bannerImg {
    width: 6.12rem;
    height: 3.33rem;
}
.custom-indicators {
    position: absolute;
    bottom: -0.35rem;
    left: 0.77rem;
    display: flex;
    gap: 0.2rem;
}
.custom-indicator {
    width: 0.35rem;
    height: 0.35rem;
    background: url(../img/page5_page.png) no-repeat center center;
    background-size: 100% 100%;
}
.custom-indicator.active {
    width: 0.35rem;
    height: 0.35rem;
    background: url(../img/page5_page1.png) no-repeat center center;
    background-size: 100% 100%;
}
